''' 3 - Intelligence artificielle'''

'''3-1 - Algorithme KNN - Reconnaissance de panneaux'''

'''Dossier partagé images: https://www.dropbox.com/sh/2zce39bxxtfcl58/AADVz2oW9QxT-leD-0l3Mopba?dl=0'''

## 3-1 - Algorithme KNN - Reconnaissance de panneaux

## Lecture des images

# Affichage

import matplotlib.pyplot as plt
plt.close('all')

def f_Affiche(image):
    plt.figure()
    plt.imshow(image)
    plt.axis('off')
    plt.show()
    plt.pause(0.00001)

# Lecture des images



## Fonctions d'analyse des images



## Création de la base des données

# Ouverture des images sources



# Analyse des images



## Reconnaissance automatique

# Fermeture des images

plt.close('all')

# Ouverture et analyse de l'image recherchée



# Recherche des k plus proches voisins



# Selection du résultat



# Affichage du résultat

